task Dedup {
	File bam
	String sample
	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
		/src/Bismark-0.20.1/deduplicate_bismark -p --bam ${bam} 
	>>>
	runtime {
		docker:docker
    		cluster: cluster_config
    		systemDisk: "cloud_ssd 500"
    		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File Dedup_bam = "${sample}.deduplicated.bam"
		File Dedup_repoet = "${sample}.deduplication_report.txt"
	}
}






